/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __SHOOTDATA_H__
#define __SHOOTDATA_H__

#include <e32base.h>

class TShootData:public CBase{
  private:
  public:
  typedef TInt8 TShootPoint[2];
  TShootPoint *data;
  ~TShootData(){ delete[] data; }
  void InitL(void){
    data = new(ELeave) TShootPoint[81];
    // I don't like this piece of code but since
    // it works I don't mind changing it
    data[40+0][0] = 23;
    data[40+0][1] = 5;
    data[40+1][0] = 22;
    data[40+1][1] = 5;
    data[40-1][0] = 21;
    data[40-1][1] = 4;
    data[40+2][0] = 23;
    data[40+2][1] = 5;
    data[40-2][0] = 21;
    data[40-2][1] = 5;
    data[40+3][0] = 23;
    data[40+3][1] = 5;
    data[40-3][0] = 21;
    data[40-3][1] = 5;
    data[40+4][0] = 23;
    data[40+4][1] = 5;
    data[40-4][0] = 20;
    data[40-4][1] = 5;
    data[40+5][0] = 23;
    data[40+5][1] = 5;
    data[40-5][0] = 19;
    data[40-5][1] = 5;
    data[40+6][0] = 23;
    data[40+6][1] = 5;
    data[40-6][0] = 19;
    data[40-6][1] = 5;
    data[40+7][0] = 23;
    data[40+7][1] = 5;
    data[40-7][0] = 18;
    data[40-7][1] = 5;
    data[40+8][0] = 22;
    data[40+8][1] = 5;
    data[40-8][0] = 17;
    data[40-8][1] = 5;
    data[40+9][0] = 21;
    data[40+9][1] = 6;
    data[40-9][0] = 17;
    data[40-9][1] = 6;
    data[40+10][0] = 21;
    data[40+10][1] = 7;
    data[40-10][0] = 17;
    data[40-10][1] = 6;
    data[40+11][0] = 19;
    data[40+11][1] = 7;
    data[40-11][0] = 16;
    data[40-11][1] = 7;
    data[40+12][0] = 19;
    data[40+12][1] = 7;
    data[40-12][0] = 15;
    data[40-12][1] = 7;
    data[40+13][0] = 18;
    data[40+13][1] = 8;
    data[40-13][0] = 15;
    data[40-13][1] = 7;
    data[40+14][0] = 17;
    data[40+14][1] = 9;
    data[40-14][0] = 15;
    data[40-14][1] = 8;
    data[40+15][0] = 16;
    data[40+15][1] = 9;
    data[40-15][0] = 14;
    data[40-15][1] = 9;
    data[40+16][0] = 15;
    data[40+16][1] = 9;
    data[40-16][0] = 14;
    data[40-16][1] = 9;
    data[40+17][0] = 15;
    data[40+17][1] = 11;
    data[40-17][0] = 14;
    data[40-17][1] = 10;
    data[40+18][0] = 13;
    data[40+18][1] = 11;
    data[40-18][0] = 13;
    data[40-18][1] = 11;
    data[40+19][0] = 13;
    data[40+19][1] = 12;
    data[40-19][0] = 13;
    data[40-19][1] = 11;
    data[40+20][0] = 12;
    data[40+20][1] = 13;
    data[40-20][0] = 13;
    data[40-20][1] = 12;
    data[40+21][0] = 11;
    data[40+21][1] = 13;
    data[40-21][0] = 13;
    data[40-21][1] = 13;
    data[40+22][0] = 11;
    data[40+22][1] = 14;
    data[40-22][0] = 13;
    data[40-22][1] = 13;
    data[40+23][0] = 10;
    data[40+23][1] = 15;
    data[40-23][0] = 13;
    data[40-23][1] = 15;
    data[40+24][0] = 9;
    data[40+24][1] = 16;
    data[40-24][0] = 13;
    data[40-24][1] = 15;
    data[40+25][0] = 9;
    data[40+25][1] = 17;
    data[40-25][0] = 13;
    data[40-25][1] = 16;
    data[40+26][0] = 8;
    data[40+26][1] = 17;
    data[40-26][0] = 13;
    data[40-26][1] = 17;
    data[40+27][0] = 7;
    data[40+27][1] = 18;
    data[40-27][0] = 12;
    data[40-27][1] = 18;
    data[40+28][0] = 7;
    data[40+28][1] = 19;
    data[40-28][0] = 12;
    data[40-28][1] = 19;
    data[40+29][0] = 7;
    data[40+29][1] = 19;
    data[40-29][0] = 13;
    data[40-29][1] = 19;
    data[40+30][0] = 6;
    data[40+30][1] = 21;
    data[40-30][0] = 13;
    data[40-30][1] = 21;
    data[40+31][0] = 6;
    data[40+31][1] = 21;
    data[40-31][0] = 13;
    data[40-31][1] = 21;
    data[40+32][0] = 5;
    data[40+32][1] = 22;
    data[40-32][0] = 13;
    data[40-32][1] = 22;
    data[40+33][0] = 5;
    data[40+33][1] = 23;
    data[40-33][0] = 13;
    data[40-33][1] = 23;
    data[40+34][0] = 5;
    data[40+34][1] = 23;
    data[40-34][0] = 13;
    data[40-34][1] = 23;
    data[40+35][0] = 5;
    data[40+35][1] = 23;
    data[40-35][0] = 13;
    data[40-35][1] = 23;
    data[40+36][0] = 5;
    data[40+36][1] = 23;
    data[40-36][0] = 13;
    data[40-36][1] = 23;
    data[40+37][0] = 5;
    data[40+37][1] = 23;
    data[40-37][0] = 13;
    data[40-37][1] = 23;
    data[40+38][0] = 5;
    data[40+38][1] = 23;
    data[40-38][0] = 13;
    data[40-38][1] = 23;
    data[40+39][0] = 4;
    data[40+39][1] = 23;
    data[40-39][0] = 13;
    data[40-39][1] = 22;
    data[40+40][0] = 5;
    data[40+40][1] = 23;
    data[40-40][0] = 13;
    data[40-40][1] = 23;
/*    data[40+0][0] = 15;
    data[40+0][1] = 3;
    data[40+1][0] = 14;
    data[40+1][1] = 3;
    data[40-1][0] = 14;
    data[40-1][1] = 3;
    data[40+2][0] = 15;
    data[40+2][1] = 3;
    data[40-2][0] = 14;
    data[40-2][1] = 3;
    data[40+3][0] = 15;
    data[40+3][1] = 3;
    data[40-3][0] = 14;
    data[40-3][1] = 3;
    data[40+4][0] = 15;
    data[40+4][1] = 3;
    data[40-4][0] = 13;
    data[40-4][1] = 3;
    data[40+5][0] = 15;
    data[40+5][1] = 3;
    data[40-5][0] = 13;
    data[40-5][1] = 3;
    data[40+6][0] = 15;
    data[40+6][1] = 3;
    data[40-6][0] = 13;
    data[40-6][1] = 3;
    data[40+7][0] = 15;
    data[40+7][1] = 3;
    data[40-7][0] = 12;
    data[40-7][1] = 3;
    data[40+8][0] = 14;
    data[40+8][1] = 3;
    data[40-8][0] = 12;
    data[40-8][1] = 4;
    data[40+9][0] = 14;
    data[40+9][1] = 4;
    data[40-9][0] = 11;
    data[40-9][1] = 4;
    data[40+10][0] = 13;
    data[40+10][1] = 4;
    data[40-10][0] = 11;
    data[40-10][1] = 4;
    data[40+11][0] = 13;
    data[40+11][1] = 4;
    data[40-11][0] = 11;
    data[40-11][1] = 5;
    data[40+12][0] = 12;
    data[40+12][1] = 5;
    data[40-12][0] = 10;
    data[40-12][1] = 5;
    data[40+13][0] = 12;
    data[40+13][1] = 5;
    data[40-13][0] = 10;
    data[40-13][1] = 5;
    data[40+14][0] = 11;
    data[40+14][1] = 6;
    data[40-14][0] = 10;
    data[40-14][1] = 5;
    data[40+15][0] = 10;
    data[40+15][1] = 6;
    data[40-15][0] = 9;
    data[40-15][1] = 6;
    data[40+16][0] = 10;
    data[40+16][1] = 6;
    data[40-16][0] = 9;
    data[40-16][1] = 6;
    data[40+17][0] = 10;
    data[40+17][1] = 7;
    data[40-17][0] = 9;
    data[40-17][1] = 7;
    data[40+18][0] = 9;
    data[40+18][1] = 7;
    data[40-18][0] = 9;
    data[40-18][1] = 7;
    data[40+19][0] = 8;
    data[40+19][1] = 8;
    data[40-19][0] = 9;
    data[40-19][1] = 7;
    data[40+20][0] = 8;
    data[40+20][1] = 8;
    data[40-20][0] = 8;
    data[40-20][1] = 8;
    data[40+21][0] = 7;
    data[40+21][1] = 9;
    data[40-21][0] = 8;
    data[40-21][1] = 8;
    data[40+22][0] = 7;
    data[40+22][1] = 9;
    data[40-22][0] = 8;
    data[40-22][1] = 9;
    data[40+23][0] = 7;
    data[40+23][1] = 10;
    data[40-23][0] = 8;
    data[40-23][1] = 10;
    data[40+24][0] = 6;
    data[40+24][1] = 10;
    data[40-24][0] = 8;
    data[40-24][1] = 10;
    data[40+25][0] = 6;
    data[40+25][1] = 11;
    data[40-25][0] = 8;
    data[40-25][1] = 11;
    data[40+26][0] = 5;
    data[40+26][1] = 11;
    data[40-26][0] = 8;
    data[40-26][1] = 12;
    data[40+27][0] = 5;
    data[40+27][1] = 12;
    data[40-27][0] = 8;
    data[40-27][1] = 12;
    data[40+28][0] = 5;
    data[40+28][1] = 12;
    data[40-28][0] = 8;
    data[40-28][1] = 12;
    data[40+29][0] = 4;
    data[40+29][1] = 13;
    data[40-29][0] = 8;
    data[40-29][1] = 13;
    data[40+30][0] = 4;
    data[40+30][1] = 13;
    data[40-30][0] = 8;
    data[40-30][1] = 14;
    data[40+31][0] = 4;
    data[40+31][1] = 14;
    data[40-31][0] = 8;
    data[40-31][1] = 14;
    data[40+32][0] = 3;
    data[40+32][1] = 14;
    data[40-32][0] = 8;
    data[40-32][1] = 15;
    data[40+33][0] = 3;
    data[40+33][1] = 15;
    data[40-33][0] = 8;
    data[40-33][1] = 15;
    data[40+34][0] = 3;
    data[40+34][1] = 15;
    data[40-34][0] = 8;
    data[40-34][1] = 15;
    data[40+35][0] = 3;
    data[40+35][1] = 15;
    data[40-35][0] = 8;
    data[40-35][1] = 15;
    data[40+36][0] = 3;
    data[40+36][1] = 15;
    data[40-36][0] = 8;
    data[40-36][1] = 15;
    data[40+37][0] = 3;
    data[40+37][1] = 15;
    data[40-37][0] = 8;
    data[40-37][1] = 15;
    data[40+38][0] = 3;
    data[40+38][1] = 15;
    data[40-38][0] = 8;
    data[40-38][1] = 15;
    data[40+39][0] = 3;
    data[40+39][1] = 15;
    data[40-39][0] = 8;
    data[40-39][1] = 14;
    data[40+40][0] = 3;
    data[40+40][1] = 15;
    data[40-40][0] = 8;
    data[40-40][1] = 15;*/
  }
};

#endif // __SHOOTDATA_H__
